// STM8A/S		        	        
// AN2857  AN2743        	                
// STM8A/S family power management application note  	        
// Power management lib header file                     
// V1.0.0				        
// THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS  
// WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE   
// TIME. AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY       
// DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING 
// FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE    
// CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.       


#ifndef __POWER_MANAGEMENT__
#define __POWER_MANAGEMENT__

 // Includes  **********************
#include "conf.h"
#include "STM8S208M.h"

// Function prototypes                 

void wait (int d);
void config_CLK (void);
void config_periph_OFF(void);
void config_GPIO (void);
void Flash_OFF_act_halt(void);
void Flash_ON_halt(void);
void MVReg_OFF_act_halt(void);
void Fast_Clock_WU(void);
void config_AWU(unsigned char TBR , unsigned char APR);
void config_ext_IT (void);

// other define                           
// Define the memory location for the OPTION BYTE 4 (OPT4) at address 0x4807
#define OPT4 ( * ( ( char * ) 0x4807 ) )

#endif /* __POWER_MANAGEMENT__ */