// STM8A/S		        	        
// AN2857  AN2743        	                
// STM8A/S family power management application note  	        
// Configuration file for HALT mode                      
// V1.0.0				        
// THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS  
// WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE   
// TIME. AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY       
// DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING 
// FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE    
// CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.       


#ifndef __CONF__
#define __CONF__

// GPIO outputted value                 
// Value outputted on the port during the measurement
#define GPIO_Value 0x00;

// Clocks configuration                 
#define HSE 1
#define HSI 2
#define LSI 3
// define the clock source (HSE, HSI or LSI)
#define CLK HSI

// Define the HSI division factor (1, 2, 4 or 8) if HSI is used
#define HSI_DIV 1

// Define the CPU clock division factor (1, 2, 4, 8, 16, 32, 64, 128)
#define CPU_DIV 1

// fCPU outputted on CCO
//#define fCPU_on_CCO

// Others configuration                 

// define the functionining mode of the Flash during Halt mode
// Uncommment the following line to put the flash ON during the Halt mode
//#define Flash_ON

// Uncomment the following line to enable the fast wake-up
//#define Fast_WAKE

#endif /* __CONF__*/