// STM8A/S		        	        
// AN2857  AN2743        	                
// STM8A/S family power management application note  	        
// Reference code source file                        
// V1.0.0				        
// THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS  
// WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE   
// TIME. AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY       
// DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING 
// FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE    
// CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.       

 // Define the memory section ***************
#pragma section (REF_CODE)

 // Includes  **********************
#include "reference_codes.h"

void Run_ref_code (void) {
  
#if REFERENCE_CODE == LINEAR
  while(1)
  {
    #pragma asm
    // 1 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 2 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 3 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 4 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 5 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 6 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 7 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 8 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 9 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 10 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 11 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 12 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 13 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 14 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 15 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 16 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 17 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 18 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 19 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 20 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 21 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 22 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 23 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 24 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 25 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 26 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 27 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 28 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 29 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 30 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 31 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 32 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 33 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 34 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 35 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 36 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 37 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 38 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 39 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 40 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 41 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 42 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 43 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 44 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 45 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 46 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 47 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 48 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 49 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 50 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 51 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 52 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 53 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 54 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 55 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 56 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 57 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 58 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 59 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 60 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 61 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 62 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 63 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 64 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 65 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 66 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 67 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 68 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 69 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 70 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 71 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 72 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 73 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 74 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 75 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 76 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 77 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 78 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 79 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 80 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 81 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 82 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 83 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 84 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 85 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 86 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 87 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 88 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 89 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 90 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 91 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 92 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 93 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 94 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 95 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 96 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 97 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 98 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 99 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    // 100 
    LD A,#$00  
    INC A  
    ADD A, #$02  
    NOP  
    MOV $5021,#$FF  
    #pragma endasm
  }

#elif REFERENCE_CODE == USER
  // Enter your reference code here instead of the while(1); loop
  while(1);

#else
#error Please select a valid reference code
#endif

  }
  
  
  
  