// STM8A/S		        	        
// AN2857  AN2743        	                
// STM8A/S family power management application note  	        
// main file  	                        
// V1.0.0				        
// THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS  
// WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE   
// TIME. AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY       
// DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING 
// FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE    
// CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.       

 // Includes  **********************
#include "power_management.h"

 // main code **********************
main()
{
  config_periph_OFF();
  config_CLK();
  config_GPIO();  

  config_ext_IT();

  
  // enable the interrupts
  _asm("rim\n");
  

  while (1)
  {
    _asm("wfi\n");
    
    // Toggle the bit 2 of PORT B
    #pragma asm
    ld  A,#$04
    ld $5005,A
    ld  A,#$00
    ld $5005,A
    #pragma endasm
  }
}